//  main: main.less, out: ../style.css

// ====================================================================================================================================
// FOOTER
// ====================================================================================================================================
.home .c-footer {
    margin-top: 10px;
}

.c-footer {
    color: @color__text;
    background-color: @color__footer !important;
    padding: @margin__m @margin__s @margin__s*2;
    margin-top: @margin__xl;

    p {
        margin: 0;
    }

    @media @media_smartphone {
        padding: 0;
    }
}

.c-footer__inner {
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(flex-end);

    .c-footer__disclaimer,
    .c-footer__info {
        width: 49%;
    }

    .c-footer__disclaimer {
        .u-flex-display;
        .u-align-items(center);

        img {
            margin-right: 10px;
            .u-flex-shrink(0);
        }

        p {
            font-size: @size__xs;
        }
    }

    .c-footer__info {
        text-align: right;
    }

    @media @media_tablet {
        padding: 0 @margin__m;
        .c-footer__disclaimer {
            .u-flex-direction(column);
            .u-align-items(flex-start);

            img {
                margin-bottom: 10px;
            }
        }
    }

    @media @media_smartphone {
        .u-flex-direction(column-reverse);

        .c-footer__disclaimer,
        .c-footer__info {
            width: 100%;
            padding: 30px 0 10px;
        }

        .c-footer__disclaimer {
            .u-flex-direction(column);
            .u-align-items(flex-start);

            img {
                margin-bottom: 10px;
            }
        }

        .c-footer__info {
            text-align: left;
        }
    }
}

.c-footer__bottom {
    border-top: @color__primary solid 1px;
    margin-top: @margin__s;
    padding: @margin__s 0 0;

    .u-flex-display;
    .u-justify-content(space-between);

    .inner {
        .u-flex-display;
    }

    .social-icon {
        margin-left: @margin__s;
    }

    @media @media_tablet {
        padding: @margin__s @margin__m 0;
    }

    @media @media_smartphone {
        text-align: left;
        padding: @margin__s*2 0;
        margin-top: @margin__s;
        .u-flex-direction(column);

        .inner {
            .u-justify-content(flex-start);
            .u-flex-direction(column);
            margin-bottom: @margin__s;
        }

        .social-icon {
            margin-top: @margin__s;
            margin-left: 0;
        }
    }
}